<figure{{ with .Get "class" }} class="{{ . }}"{{ end }}>
{{- $processedImg := partial "images/prepare-set.html" (
  dict
    "src" (.Get "src")
    "alt" (default (.Get "caption" | markdownify | plainify) (.Get "alt"))
    "width" (.Get "width")
    "height" (.Get "height")
    "sizes" site.Params.ImageResizes
    "resources" .Page.Resources
  ) }}
{{- if .Get "link" }}
  <a href="{{ .Get "link" }}"{{ with .Get "target" }} target="{{ . }}"{{ end }}{{ with .Get "rel" }} rel="{{ . }}"{{ end }}>
{{- else if $processedImg.link }}
  <a href="{{ $processedImg.original.RelPermalink | safeURL }}">
{{- end }}
{{ partial "images/render-set--lazy.html" $processedImg }}
{{ if or (.Get "link") $processedImg.link }}  </a>{{ end -}}
{{- if or (.Get "title") (.Get "caption") (.Get "attr") (.Get "lic") }}
  <figcaption>
  {{ with (.Get "title") -}}
    <h4>{{ . | markdownify }}</h4>
  {{- end -}}
  {{- if or (.Get "caption") (.Get "attr") -}}<p>
    {{- .Get "caption" | markdownify -}}
    {{- if and (.Get "caption") (.Get "attr") }}<br>{{ end -}}
    {{- with .Get "attrlink" }} <a href="{{ . }}">{{- end -}}
    {{- .Get "attr" | markdownify -}}
    {{- if .Get "attrlink" }}</a>{{ end -}}
    {{- with .Get "lic" }} ({{ partial "licenses/compact.html" (
      dict
        "license" .
        "Lang" $.Page.Lang
      ) }}){{ end }}</p>
  {{- end }}
  </figcaption>
{{- end }}
</figure>
